Bug 1606869 - python-sanic: FTBFS in Fedora rawhide
Summary: python-sanic: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sanic
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29FTBFS F29BetaFreezeException PYTHON37
TreeView+ depends on / blocked
 
Reported: 2018-07-20 22:01 UTC by Mohan Boddu
Modified: 2018-09-13 03:39 UTC (History)
4 users (show)

Fixed In Version: python-sanic-0.8.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-13 03:39:01 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-20 22:01 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 22:01 UTC, Mohan Boddu
no flags Details
state.log (639 bytes, text/plain)
2018-07-20 22:01 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 22:01:13 UTC
python-sanic failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28423798


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-sanic at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-sanic will be orphaned. Before branching of Fedora 30,
python-sanic will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 22:01:23 UTC
Created attachment 1469474 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 22:01:26 UTC
Created attachment 1469475 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 22:01:28 UTC
Created attachment 1469476 [details]
state.log

Comment 4 Miro Hrončok 2018-07-25 09:24:59 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 5 Miro Hrončok 2018-08-06 10:21:59 UTC
This is another friendly reminder.

Please take action.

Comment 6 Igor Gnatenko 2018-08-06 10:28:14 UTC
This seems to be failing on tests due to websockets 6.x in rawhide...

Comment 7 Miro Hrončok 2018-08-13 11:59:01 UTC
Another bulk reminder. Please take action. Your package doesn't install on Fedora 29. Fix it or retire it.

Comment 8 Jan Kurik 2018-08-14 11:10:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 9 Miro Hrončok 2018-08-30 11:22:22 UTC
Any news?

Comment 10 Igor Gnatenko 2018-09-02 07:12:10 UTC
There should be some patch in master according to https://github.com/channelcat/sanic/issues/1264.

I will look into backporting it today.

Comment 11 Igor Gnatenko 2018-09-02 07:15:56 UTC
No, they just pinned to old version of websockets =(

Comment 12 Fedora Update System 2018-09-02 08:15:45 UTC
python-sanic-0.8.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4652689beb

Comment 13 Fedora Blocker Bugs Application 2018-09-02 08:30:58 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user churchyard using the blocker tracking app because:

 This blocks updates to F29.

Comment 14 Fedora Update System 2018-09-02 22:24:41 UTC
python-sanic-0.8.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4652689beb

Comment 15 František Zatloukal 2018-09-04 10:05:57 UTC
Package is building fine, marking as VERIFIED.

Comment 16 Adam Williamson 2018-09-10 23:30:38 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . Accepted (under the block vote at the end of the meeting) as a freeze exception issue as this can prevent upgrades working without the potentially-dangerous --allowerasing , and upgrades typically run without updates-testing so there is a benefit to pushing this stable for folks trying to upgrade at present.

Comment 17 Fedora Update System 2018-09-13 03:39:01 UTC
python-sanic-0.8.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.